Docs
Get File Tree
GET /Drives/{driveId}/partitions/{partitionId}/tree
GET
/Drives/{driveId}/partitions/{partitionId}/treeReturns the complete folder hierarchy of a partition with the current user's permissions on each folder, for building a navigation tree. The partitionId comes from Drives_GetDrivePartition.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| partitionId | uuid | Required |
Response
Type: GetFileTreeResponse[]
GetFileTreeResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| fullPath | string| null | |
| permissions | string[]| null |